javax.swing.event

## Interface TreeExpansionListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    BasicTreeUI.TreeExpansionHandler, JTree.AccessibleJTree

      public interface TreeExpansionListener
      extends EventListener

  The listener that's notified when a tree expands or collapses a node. For further documentation and examples see How to Write a Tree Expansion Listener, a section in The Java Tutorial.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `treeCollapsed(TreeExpansionEvent event)` Called whenever an item in the tree has been collapsed.
    `void` | `treeExpanded(TreeExpansionEvent event)` Called whenever an item in the tree has been expanded.

- - ### Method Detail

    - #### treeExpanded

          void treeExpanded(TreeExpansionEvent event)

      Called whenever an item in the tree has been expanded.

    - #### treeCollapsed

          void treeCollapsed(TreeExpansionEvent event)

      Called whenever an item in the tree has been collapsed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.